package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.Wry;
import org.apache.ibatis.annotations.Mapper;

/** 污染源环保统计 Mapper */
@Mapper
public interface WryMapper {
    /**
     * 查询污染源环保统计列表
     *
     * @param wry 查询条件
     * @return 污染源环保统计列表
     */
    public List<Wry> selectWryList(Wry wry);

    /**
     * 通过ID查询污染源环保统计
     *
     * @param id 主键ID
     * @return 污染源环保统计
     */
    public Wry selectWryById(String id);

    /**
     * 删除污染源环保统计
     *
     * @param id 主键ID
     * @return 影响行数
     */
    public int deleteWryById(String id);

    /**
     * 批量删除污染源环保统计
     *
     * @param ids 主键ID数组
     * @return 影响行数
     */
    public int deleteWryByIds(String[] ids);

    /**
     * 修改污染源环保统计
     *
     * @param wry 污染源环保统计
     * @return 影响行数
     */
    public int updateWry(Wry wry);

    /**
     * 新增污染源环保统计
     *
     * @param wry 污染源环保统计
     * @return 影响行数
     */
    public int insertWry(Wry wry);
}
